Loading...
Searching...
No Matches
dtype.c File Reference

Functions for User-Defined Types. More...

`#include "ncdispatch.h"`
Include dependency graph for dtype.c:

Go to the source code of this file.

## Functions

int | nc_inq_type_equal (int ncid1, nc_type typeid1, int ncid2, nc_type typeid2, int *equal)
| Learn if two types are equal.
Learning about User-Defined Types
Functions to learn about any kind of user-defined type.
int | nc_inq_typeid (int ncid, const char *name, nc_type *typeidp)
| Find a type by name.
int | nc_inq_user_type (int ncid, nc_type xtype, char *name, size_t *size, nc_type *base_nc_typep, size_t *nfieldsp, int *classp)
| Learn about a user defined type.

## Detailed Description

Functions for User-Defined Types.

Copyright 2018 University Corporation for Atmospheric Research/Unidata. See COPYRIGHT file for more info.

Definition in file dtype.c.